%global fontname google-roboto
%global fontconf 64-%{fontname}
%global fontsrcdir Roboto_v%{version}

Name:       google-roboto-fonts
Version:    1.2
Release:    %mkrel 3
Summary:    Google Roboto fonts
Group:      System/Fonts/True type 
# Only the metainfo.xml files are CC0
License:    ASL 2.0 and CC0
URL:        https://www.google.com/fonts/specimen/Roboto
Source0:    http://developer.android.com/downloads/design/roboto-%{version}.zip
Source1:    %{fontconf}-condensed-fontconfig.conf
Source2:    %{fontconf}-fontconfig.conf
Source3:    %{fontname}-condensed.metainfo.xml
Source4:    %{fontname}.metainfo.xml
BuildArch:  noarch

BuildRequires: dos2unix
BuildRequires: fontpackages-devel

%description
Roboto is a sans-serif typeface family introduced with Android Ice Cream
Sandwich operating system. Google describes the font as "modern, yet
approachable" and "emotional".

%package -n %{fontname}-condensed-fonts
Summary:    Google Roboto condensed fonts

%description -n %{fontname}-condensed-fonts
Google Roboto condensed fonts.

%prep
%autosetup -c
dos2unix %{fontsrcdir}/*/LICENSE.txt

%build

%install
# install fonts
install -d %{buildroot}%{_fontdir}
install -m 0644 -p %{fontsrcdir}/Roboto/*.ttf %{buildroot}%{_fontdir}
install -m 0644 -p %{fontsrcdir}/RobotoCondensed/*.ttf %{buildroot}%{_fontdir}

# install fontconfig files
install -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
for fconf in %{fontconf} %{fontconf}-condensed; do
  install -m 0644 %{_sourcedir}/$fconf-fontconfig.conf %{buildroot}%{_fontconfig_templatedir}/$fconf.conf
  ln -s %{_fontconfig_templatedir}/$fconf.conf %{buildroot}%{_fontconfig_confdir}/$fconf.conf
done

# install appdata
install -d %{buildroot}%{_datadir}/appdata
install -m 0644 %{_sourcedir}/%{fontname}{,-condensed}.metainfo.xml %{buildroot}%{_datadir}/appdata

%_font_pkg -f %{fontconf}.conf Roboto-*.ttf
%doc %{fontsrcdir}/Roboto/LICENSE.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -n condensed -f %{fontconf}-condensed.conf RobotoCondensed-*.ttf
%doc %{fontsrcdir}/RobotoCondensed/LICENSE.txt
%{_datadir}/appdata/%{fontname}-condensed.metainfo.xml


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1489825
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1261199
- Mageia 7 Mass Rebuild

* Sat Apr 23 2016 akien <akien> 1.2-1.mga6
+ Revision: 1005523
- Add RPM group
- Remove unnecessary -common subpackage
- Use %%_sourcedir instead of numbered sources for more flexibility
- import google-roboto-fonts from Fedora, MIT licensed (c) David Tardon


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 23 2014 David Tardon <dtardon@redhat.com> - 1.2-8
- revert the previous "update"
- Resolves: rhbz#1174935 fix font metadata

* Tue Dec 23 2014 David Tardon <dtardon@redhat.com> - 1.2-7
- drop obsolete requires

* Wed Dec 17 2014 David Tardon <dtardon@redhat.com> - 1.2-6
- Resolves: rhbz#1174935 update to what is presumably the latest release
  of the font

* Mon Nov 24 2014 David Tardon <dtardon@redhat.com> - 1.2-5
- use just Roboto as the font's name in metainfo

* Thu Nov 20 2014 David Tardon <dtardon@redhat.com> - 1.2-4
- add AppData files

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 07 2014 David Tardon <dtardon@redhat.com> - 1.2-2
- integrate package review suggestions

* Thu Apr 03 2014 David Tardon <dtardon@redhat.com> - 1.2-1
- initial import
